> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer une expédition

> Renvoie une expédition par son identifiant.

Renvoie une expédition par son identifiant.

```json Réponse theme={null}
{
  "shipmentsByPk": {
    "id": 42,
    "reference": "EXP-0042",
    "dueDate": "2026-08-28",
    "plannedDepartureDate": "2026-08-27T08:00:00+02:00",
    "stockAvailability": "COMPLETE",
    "customer": {
      "id": 3,
      "name": "MecMar"
    },
    "carrier": {
      "id": 9,
      "name": "Transports Martin"
    },
    "site": {
      "id": 1,
      "name": "Atelier Nord"
    },
    "lines": [
      {
        "id": 31,
        "quantity": 150,
        "article": {
          "code": "CAM-PEEK",
          "name": "Came PEEK"
        },
        "salesOrderLine": {
          "id": 12,
          "salesOrder": {
            "id": 6,
            "reference": "OC-0006"
          }
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml openapi.json GET /shipments/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /shipments/{id}:
    get:
      summary: Retrieve a shipment
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  shipmentsByPk:
                    nullable: true
                    properties:
                      actualArrivalDate:
                        $ref: '#/components/schemas/timestamptz'
                      actualDepartureDate:
                        $ref: '#/components/schemas/timestamptz'
                      carrier:
                        description: A client or supplier organisation
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      customer:
                        description: A client or supplier organisation
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      dueDate:
                        $ref: '#/components/schemas/date'
                      id:
                        nullable: false
                        type: integer
                      lines:
                        items:
                          nullable: false
                          properties:
                            article:
                              description: >-
                                Articles with physical reality (= manage-able in
                                stock). This table includes all article types
                                (raw materials, semi-finished, finished
                                products, consumables, etc.)
                              nullable: true
                              properties:
                                code:
                                  nullable: true
                                  type: string
                                id:
                                  nullable: false
                                  type: integer
                                name:
                                  nullable: false
                                  type: string
                                unit:
                                  nullable: true
                                  type: string
                              type: object
                            description:
                              nullable: true
                              type: string
                            id:
                              nullable: false
                              type: integer
                            quantity:
                              $ref: '#/components/schemas/numeric'
                            salesOrderLine:
                              nullable: true
                              properties:
                                id:
                                  nullable: false
                                  type: integer
                                salesOrder:
                                  nullable: false
                                  properties:
                                    id:
                                      nullable: false
                                      type: integer
                                    reference:
                                      nullable: false
                                      type: string
                                  type: object
                              type: object
                          type: object
                        nullable: false
                        type: array
                      plannedArrivalDate:
                        $ref: '#/components/schemas/timestamptz'
                      plannedDepartureDate:
                        $ref: '#/components/schemas/timestamptz'
                      reference:
                        nullable: false
                        type: string
                      site:
                        nullable: false
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      step:
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      stockAvailability:
                        nullable: true
                        type: string
                      trackingLink:
                        nullable: true
                        type: string
                      transportMode:
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                    type: object
          description: Response
components:
  schemas:
    timestamptz:
      nullable: true
    date:
      nullable: false
    numeric:
      nullable: false

````